package com.reptileclient.jlifeapp.dao.jz;

import com.reptileclient.jlifeapp.entity.hm.CustomerClue;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CustomerClueMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Long id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(CustomerClue record);

    int insertOrUpdate(CustomerClue record);

    int insertOrUpdateSelective(CustomerClue record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(CustomerClue record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    CustomerClue selectByPrimaryKey(Long id);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(CustomerClue record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(CustomerClue record);

    int updateBatch(List<CustomerClue> list);

    int batchInsert(@Param("list") List<CustomerClue> list);

    String selectClueNo();
}
